<?php

$skipinvlicCheck = TRUE;

$skipCSRFCheck = true;
include '../../login.php';
require_once '../../permissions.php';
try {checkPermission('SET_LICENSE_KEY');} catch (Exception $e) {die($e->getMessage());}

$query = "SELECT value FROM `ust_meta` WHERE `key`='LICENSE'";
$stmt = $db->prepare($query);
$stmt->execute();
$license = $stmt->fetch(PDO::FETCH_COLUMN);


if (!$license) {
    die('License key not set.');
}

$externalUrl = 'https://www.license-api.uxwizz.com/support/renew?license=' . $license . '&ref=update';
if (filter_var($externalUrl, FILTER_VALIDATE_URL)) {
    header('Location: ' . $externalUrl);
    die();
} else {
    die('Invalid license key or renew URL.');
}
